# Copyright (c) 2009 Mathias Kaerlev.
# See LICENSE for details.

# Copyright (c) 2009 Mathias Kaerlev.
# See LICENSE for details.

from pySndo.locals import create_number

class PrefixSend(object):
    id = None
    def __init__(self, data = None):
        if data:
            id = data[:2]
            if id == '0-':
                id = None
            else:
                id = int(id)
            self.id = id
            self._load(data[2:])

    def _load(self, data):
        pass
        
    def generate(self):
        return create_number(self.id, 2) + self._generate()
        
    def _generate(self):
        return ''

class StringSend(object):
    value = ''
    def __init__(self, data = None):
        if data:
            self.value = data
            
    def generate(self):
        return self.value
        
class Empty(object):
    def __init__(self, data = None):
        if data:
            raise NotImplementedError('empty data expected, got %r' % data)
        
    def generate(self):
        return ''